Summary: Event logging framework for the desktop
Name:    zeitgeist
Version: 0.7.1
Release: %mkrel 1
Source0: http://launchpad.net/%name/0.7/%version/+download/%name-%version.tar.gz
License: LGPLv3
Group: System/Libraries
Url: http://launchpad.net/zeitgeist
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: python-devel
BuildRequires: intltool
BuildRequires: raptor
BuildRequires: python-rdflib
Requires: pygtk2.0
Requires: python-dbus
Requires: python-storm

%description
Zeitgeist is an "Event Logging Framework" that provides cross
application awareness of the desktop's activities.

You worked on a file, but you cannot remember where you saved it? You
visited a web page about basketball three days ago, but you cannot
find the URL in your browser's history? No problem, this is where
Zeitgeist enters the scene. It knows a lot about your activities and
has a feature rich D-Bus API which allows GUI applications like
gnome-zeitgeist, zeitgeistfs and others to present you your
activities in a readable way.

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYRIGHT README NEWS
%_bindir/%name-daemon
%py_puresitedir/%name
%_datadir/%name
%_datadir/dbus-1/services/org.gnome.zeitgeist.service
%_mandir/man1/%name-daemon.1*
%_datadir/pkgconfig/zeitgeist-daemon.pc

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std pkgconfigdir=%_datadir/pkgconfig
%find_lang %name

%clean
rm -rf %{buildroot}



%changelog
* Sat Mar 26 2011 dmorgan <dmorgan> 0.7.1-1.mga1
+ Revision: 77540
- Fix file list
- Fix package layout
- imported package zeitgeist


* Mon Mar 21 2011 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 647347
- update to new version 0.7.1

* Tue Jan 18 2011 Götz Waschk <waschk@mandriva.org> 0.7-1
+ Revision: 631604
- new version

* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2011.0
+ Revision: 591549
- new version
- update file list, removing zeitgeist-datahub

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Fri Sep 10 2010 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 577054
- update to new version 0.5.1

* Fri Aug 06 2010 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 566646
- new version
- new URL
- update deps
- update file list

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.3.3.1-1mdv2011.0
+ Revision: 550984
- update to new version 0.3.3.1

* Tue Apr 20 2010 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdv2010.1
+ Revision: 537241
- update to new version 0.3.3

* Wed Jan 20 2010 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdv2010.1
+ Revision: 493954
- update to new version 0.3.2

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdv2010.1
+ Revision: 489560
- new version

* Tue Dec 01 2009 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2010.1
+ Revision: 472447
- new version

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2010.0
+ Revision: 417161
- new version
- update source URL
- update doc list

* Wed Jul 15 2009 Götz Waschk <waschk@mandriva.org> 0.2.0-2mdv2010.0
+ Revision: 396309
- add missing dep on storm
- add docs

* Wed Jul 15 2009 Götz Waschk <waschk@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 396292
- import zeitgeist


